Page MenuHomeSoftware Heritage

debnet:manifests/param: Upgrade required package for buster
ClosedPublic

Authored by ardumont on Wed, Nov 6, 6:08 PM.

Details

Summary

Currently on a fresh new buster node (missed it as in puppet did not break immediately):

Info: Applying configuration version '1573058926'
Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install iproute' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Package iproute is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  iproute2

E: Package 'iproute' has no installation candidate
Error: /Stage[main]/Debnet/Package[iproute]/ensure: change from 'purged' to 'present' failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install iproute' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Package iproute is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  iproute2

E: Package 'iproute' has no installation candidate

Note: I'll also need to update swh-site/Puppetfile but let's agree if we modify this file or not first ;)

Diff Detail

Repository
rSPDEBN puppet-trepasi-debnet
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ardumont created this revision.Wed, Nov 6, 6:08 PM
ardumont retitled this revision from manifests/param: Upgrade required package for buster to debnet:manifests/param: Upgrade required package for buster.Wed, Nov 6, 6:08 PM
ardumont edited the summary of this revision. (Show Details)
ardumont edited the summary of this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Thu, Nov 7, 11:19 AM
This revision was automatically updated to reflect the committed changes.
ardumont added a comment.EditedThu, Nov 7, 11:36 AM

I did not want to close it...
I pushed that in another branch to test on staging.
It works.

worker2's latest puppet agent --test worked with this (updating the Puppetfile first).

manifests/params.pp
36

without the spurious s would have been better!